﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/// <summary>
/// A singleton class for creating a persistent DataCtrl gameobject
/// and helps in creating centralized database access code
/// </summary>
public class DataCtrl : MonoBehaviour
{
    public static DataCtrl instance = null;

    void Awake()
    {
        if (instance == null)
        {
            instance = this;
            DontDestroyOnLoad(gameObject);
        }
        else
        {
            Destroy(gameObject);
        }
    }

}
